<?php
/**
* Register the required plugins for this theme
* 
* @since 	 1.0
* @author nouthemes [nouthemes@gmail.com] 
* @code 	 Nam
*/

add_action( 'tgmpa_register', 'noubakery_theme_register_required_plugins' );

function noubakery_theme_register_required_plugins() {
	
	$plugins = array(

		
		array(
            'name'               => esc_html__('Bakery Theme Helpers', 'noucake'),
            'slug'               => 'bakery-helpers',
			'source'             => get_stylesheet_directory() . '/inc/tgm/plugins/bakery-helpers.zip',
            'required'           => true,
            'version'            => '2.0.30',
        ),
		array(
            'name'               => esc_html__('Revolution Slider', 'noucake'),
            'slug'               => 'revslider',
			'source'             => get_stylesheet_directory() . '/inc/tgm/plugins/revslider.zip',
            'required'           => true,
            'version'            => '6.7.25',
        ),
		array(
            'name'               => esc_html__('Visual Composer', 'noucake'),
            'slug'               => 'js_composer',
            'source'             => get_stylesheet_directory() . '/inc/tgm/plugins/js_composer.zip',
            'required'           => true,
            'version'            => '8.1',
        ),
        array(
			'name'      		=> esc_html__('Woocommerce', 'noucake'),
			'slug'      		=> 'woocommerce',
			'required'  		=> true,
			'version'           => '9.5.1',
		),
		array(
			'name'      		=> esc_html__('WooCommerce Currency Switcher', 'noucake'),
			'slug'      		=> 'woocommerce-currency-switcher',
			'required'  		=> false,
			'version'           => '1.4.2.3',
		),
		array(
			'name'      		=> esc_html__('Newsletter', 'noucake'),
			'slug'      		=> 'newsletter',
			'required'  		=> false,
			'version'           => '8.6.4',
		),
        array(
			'name'      		=> esc_html__('One Click Demo Import', 'noucake'),
			'slug'      		=> 'one-click-demo-import',
			'required'  		=> false,
			'version'           => '3.3.0',
		),

	);

	/*
	 * Array of configuration settings. Amend each line as needed.
	 *
	 * TGMPA will start providing localized text strings soon. If you already have translations of our standard
	 * strings available, please help us make TGMPA even better by giving us access to these translations or by
	 * sending in a pull-request with .po file(s) with the translations.
	 *
	 * Only uncomment the strings in the config array if you want to customize the strings.
	 */
	$config = array(
		'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'parent_slug'  => 'themes.php',            // Parent menu slug.
		'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
		
	);

	tgmpa( $plugins, $config );
}