<?php
/**
* Template name: Compare for Woocommerce
*/
get_header();
?>
	<?php 
  /**
  * Hook noubakery heading
  * panel_heading()
  * title + breadcrumbs
  *
  * @since 1.0
  * @author nouthemes [nouthemes@gmail.com]
  */
  do_action('noubakery_heading');
  ?>
  	<div class="ps-section--cart pt-100 pb-100">
        <div class="container">
          <div class="ps-compare">
            <h3><?php esc_html_e('Compare', 'noucake');?></h3>

            <?php if(class_exists('Woocommerce')):?>
	            <div class="table-responsive">
	              	<table class="table products">
	                	<tbody>
	                	<?php 
	                	$compares = Noubakery_Theme_Compare::get_products_in_compare();
	                	if(!empty($compares)):
	                	?>
		                  <tr>
		                    <td><?php esc_html_e('Images', 'noucake');?></td>
		                    <?php 
		                    foreach($compares as $item):
		                    $product = wc_get_product($item);
		                	if($product):
		                    ?>
		                    <td><?php echo wp_kses_post($product->get_image('noubakery_100x107')); ?></td>
		                    <?php endif;endforeach;?>
		                  </tr>
		                  <tr>
		                    <td><?php esc_html_e('PRODUCT NAME', 'noucake');?></td>
		                    <?php 
		                    foreach($compares as $item):
		                    	$product = wc_get_product($item);
	                			if($product):
		                    ?>
		                    <td><a href="<?php echo esc_url( $product->get_permalink() ); ?>"><?php echo esc_html($product->get_name()); ?></a></td>
		                    <?php endif;endforeach;?>
		                  </tr>
		                  <tr>
		                    <td><?php esc_html_e('PRICE', 'noucake');?></td>
		                    <?php 
		                    foreach($compares as $item):
		                    	$product = wc_get_product($item);
	                			if($product):
		                    ?>
		                    <td class="td-ps-product__price"><?php echo noubakery_esc($product->get_price_html()); ?></td>
		                    <?php endif;endforeach;?>
		                  </tr>
		                  <tr>
		                    <td><?php esc_html_e('Add to cart', 'noucake');?></td>
		                    <?php 
		                    $args = array(
								'post_type' => 'product', 
								'post_status' => 'publish',
								'post__in' => $compares
							);
							$products = new WP_Query($args);
							if($products->have_posts()):
								while($products->have_posts()): $products->the_post();
									$product = wc_get_product(get_the_ID());
		               
	                			if($product):
	                				$class = implode( ' ', array_filter( array(
							            'button',
							            'product_type_' . $product->get_type(),
							            ($product->get_type() == 'simple') ? 'remove-after-added' : '',
							            $product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button' : '',
							            $product->supports( 'ajax_add_to_cart' ) ? 'ajax_add_to_cart' : '',
							        ) ) );
		                    ?>
		                    <td><?php
									      	echo apply_filters( 'woocommerce_sidebar_add_to_cart_link',
												sprintf( '<a data-type="compare" rel="nofollow" href="%s" data-quantity="%s" data-product_id="%s" data-product_sku="%s" class="ps-btn ps-btn--xs product-item-cart %s">%s</a>',
													esc_url( $product->add_to_cart_url() ),
													esc_attr( isset( $quantity ) ? $quantity : 1 ),
													esc_attr( $product->get_id() ),
													esc_attr( $product->get_sku() ),
													esc_attr( isset( $class ) ? $class : 'button' ),
													esc_html( $product->add_to_cart_text() )
												),
											$product );
									      	?></td>
		                    <?php endif;endwhile;endif;wp_reset_postdata();?>
		                  </tr>
		                  <tr>
		                    <td><?php esc_html_e('Remove', 'noucake');?></td>
		                    <?php 
		                    foreach($compares as $item):
		                    	$product = wc_get_product($item);
	                			if($product):
		                    ?>
		                    <td>
		                      <div class="ps-cart-listing__remove" data-url="<?php echo esc_url( Noubakery_Theme_Compare::get_remove_url( $item ) );?>"></div>
		                    </td>
		                    <?php endif;endforeach;?>
		                    
		                  </tr>
		                <?php else:?>
		                	<tr><td><?php esc_html_e('Products not found.', 'noucake');?></td></tr>
		                <?php endif;?>
		                </tbody>
	              	</table>
	            </div>
	            <div class="text-right">
	            	<a class="ps-btn" href="<?php echo esc_url( apply_filters( 'woocommerce_return_to_shop_redirect', wc_get_page_permalink( 'shop' ) ) ); ?>">
						<?php esc_html_e( 'Continue shopping', 'noucake' ) ?> <i class="fa fa-angle-right"></i>
					</a>
	            </div>
	        <?php else:?>
	        	<div class="alert alert-danger" role="alert">
					<?php esc_html_e( 'Please, install plugin Woocommerce', 'noucake' ) ?>
				</div>
	        <?php endif;?>
          </div>
        </div>
    </div>
<?php get_footer();?>