<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.6.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $post, $product;

// Ensure visibility
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}
$shop_settings = noubakery_shop_style();
?>
<div <?php post_class('ps-product--list ps-product--list-large'); ?>>
    <?php do_action( 'woocommerce_before_shop_loop_item' );?>
    <div class="ps-product__thumbnail">
    	<a class="ps-product__overlay" href="<?php the_permalink();?>"></a>
	    <?php echo noubakery_post_thumbnail($post->ID, 'noubakery_262x283');?>
        <?php woocommerce_show_product_loop_sale_flash();?>
    </div>
    <div class="ps-product__content">
        <?php do_action('woocommerce_before_shop_loop_item_title');?>
        <h4 class="ps-product__title"><a href="<?php the_permalink();?>"><?php do_action( 'woocommerce_shop_loop_item_title' );?></a></h4>
        <?php do_action('woocommerce_after_shop_loop_item_title');?>
		<?php woocommerce_template_loop_rating();?>
		<?php woocommerce_template_loop_price();?>
        <?php the_excerpt();?>
        <footer class="ps-product__footer clearfix">
            <?php if(!empty($shop_settings['add_to_cart'])):?>
        	   <?php woocommerce_template_loop_add_to_cart();?>
            <?php endif;?>
            <ul class="ps-product__action">
                <?php if(!empty($shop_settings['wishlist'])):?>
			        <li><a class="product-wishlist" data-product_id="<?php echo esc_attr($product->get_id());?>" href="#" data-tooltip="<?php esc_html_e('Add to wishlist', 'noucake');?>"><i class="ps-icon--heart"></i></a></li>
			    <?php endif;?>

		        <?php if(!empty($shop_settings['compare'])):?>
			        <li><a class="product-compare" data-product_id="<?php echo esc_attr($product->get_id());?>" href="#" data-tooltip="<?php esc_html_e('Compare', 'noucake');?>"><i class="ps-icon--reload"></i></a></li>
			    <?php endif;?>
            </ul>
        </footer>
    </div>
    <?php do_action( 'woocommerce_after_shop_loop_item' );?>
</div>
