<?php
/**
 * Login form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/global/form-login.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     9.2.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( is_user_logged_in() ) {
	return;
}

?>
<form class="ps-checkout woocomerce-form woocommerce-form-login login" method="post" <?php if ( $hidden ) echo 'style="display:none;"'; ?>>

	<div class="row">
        <div class="col-lg-8 col-md-8 col-sm-12 col-xs-12 ">
            <div class="ps-checkout__billing">

				<?php do_action( 'woocommerce_login_form_start' ); ?>

				<?php if ( $message ) echo wpautop( wptexturize( $message ) ); ?>

				<div class="form-group">
                    <label><?php esc_html_e( 'Username or email', 'noucake' ); ?>&nbsp;<span class="required" aria-hidden="true">*</span><span class="screen-reader-text"><?php esc_html_e( 'Required', 'noucake' ); ?></span></label>
                    <input type="text" class="form-control input-text" name="username" id="username" autocomplete="username" required aria-required="true" />
                </div>

				<div class="form-group">
					<label for="password"><?php esc_html_e( 'Password', 'noucake' ); ?>&nbsp;<span class="required" aria-hidden="true">*</span><span class="screen-reader-text"><?php esc_html_e( 'Required', 'noucake' ); ?></span></label>
					<input class="form-control input-text" type="password" name="password" id="password" autocomplete="current-password" required aria-required="true" />
				</div>
				<div class="clear"></div>

				<?php do_action( 'woocommerce_login_form' ); ?>

				<p class="form-row">
					<?php wp_nonce_field( 'woocommerce-login' ); ?>
					<input type="submit" class="ps-btn ps-btn--sm button" name="login" value="<?php esc_attr_e( 'Login', 'noucake' ); ?>" />
					<input type="hidden" name="redirect" value="<?php echo esc_url( $redirect ) ?>" />
					<label class="woocommerce-form__label woocommerce-form__label-for-checkbox inline">
						<input class="woocommerce-form__input woocommerce-form__input-checkbox" name="rememberme" type="checkbox" id="rememberme" value="forever" /> <span><?php esc_html_e( 'Remember me', 'noucake' ); ?></span>
					</label>
				</p>
				<p class="lost_password">
					<a href="<?php echo esc_url( wp_lostpassword_url() ); ?>"><?php esc_html_e( 'Lost your password?', 'noucake' ); ?></a>
				</p>

				<div class="clear"></div>

				<?php do_action( 'woocommerce_login_form_end' ); ?>
			</div>
		</div>
	</div>
</form>
