<?php
/**
 * Single Product Thumbnails
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/product-thumbnails.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     9.5.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! function_exists( 'wc_get_gallery_image_html' ) ) {
	return;
}

global $post, $product, $woocommerce;

$attachment_ids = $product->get_gallery_image_ids();
$all_images = noubakery_product_images($post->ID);

if ( count($all_images) > 0 ) {

	$video = noubakery_product_video();
	$video_url = $video['url'];
	$video_img = $video['img'];
	?>
		<?php if($video_url):?>
		<div class="ps-product__variants">
			<div class="ps-video"><a class="bg--cover" href="<?php echo esc_url($video_url);?>" data-background="<?php echo esc_attr($video_img);?>"></a></div>
		<?php endif;?>
		<div class="owl-slider second mb-30" data-owl-auto="true" data-owl-loop="false" data-owl-speed="10000" data-owl-gap="20" data-owl-nav="false" data-owl-dots="false" data-owl-animate-in="" data-owl-animate-out="" data-owl-item="4" data-owl-item-xs="2" data-owl-item-sm="3" data-owl-item-md="4" data-owl-item-lg="4" data-owl-nav-left="&lt;i class=&quot;fa fa-angle-left&quot;&gt;&lt;/i&gt;" data-owl-nav-right="&lt;i class=&quot;fa fa-angle-right&quot;&gt;&lt;/i&gt;">
			<?php
				if ( count($all_images) > 0 ) {
					$html = '';
					foreach ($all_images as $id) {
						$images = wp_get_attachment_image_src($id, 'noubakery_100x107');
						if($images){
							$html .= '<img data-id="'.esc_attr($id).'" src="'.esc_attr($images[0]).'" alt="attachment-'.esc_attr($images[0]).'"/>';
						}
					}
					echo apply_filters( 'woocommerce_single_product_image_thumbnail_html', $html, $id );	
				}
			?>
		</div>
	<?php if($video_url):?>
		</div>
	<?php endif;?>
	<?php
}
