<?php
/**
 * Single Product Share
 *
 * Sharing plugins can hook into here or you can add your own code directly.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/share.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.5.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
$fb = noubakery_theme_option('product_share_enable_fb');
$google = noubakery_theme_option('product_share_enable_google');
$twitter = noubakery_theme_option('product_share_enable_twitter');
if(!empty($fb) || !empty($google) || !empty($twitter)):
?>
<p class="noubakery-share-post ps-product__sharing" data-url="<?php the_permalink();?>" data-title="<?php the_title();?>">
	<?php echo noubakery_theme_option('product_share_title', esc_html__('Share with', 'noucake'));?>: 
	<?php if(!empty($fb)):?>
		<a href="#" data-type="facebook" class="share"><i class="fa fa-facebook"></i></a>
	<?php endif;?>
	<?php if(!empty($google)):?>
		<a href="#" data-type="google" class="share"><i class="fa fa-google-plus"></i></a>
	<?php endif;?>
	<?php if(!empty($twitter)):?>		
		<a href="#" data-type="twitter" class="share"><i class="fa fa-twitter"></i></a>
	<?php endif;?>
</p>
<?php endif;?>
<?php do_action( 'woocommerce_share' );?>